Bug 1954870 - Add necessary priority class to network components
Summary: Add necessary priority class to network components
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Ben Pickard
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-28 23:43 UTC by ravig
Modified: 2021-07-27 23:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:04:50 UTC
Target Upstream Version:
dbrahane: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1110 0 None open Bug 1954870: Add priorityClass to allow user load to preempt tests 2021-05-27 14:48:13 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:05:04 UTC

Description ravig 2021-04-28 23:43:27 UTC
Description of problem:


While mandating priority classes for all the components in `openshift-*` namespaces, we noticed that the following component(s) is/are missing priority class.

openshift-network-diagnostics/network-check-source
openshift-network-diagnostics/network-check-target


Following is the guidance on the which priority class to choose:

If it is fine for your operator/operand to be preempted by user workload specify and OOMKilled  use openshift-user-critical priority class
If you want your operator/operand not to be preempted by user-workload but still be OOMKilled use system-cluster-critical priority class
If you want operator/operand not be preempted by user-workload and OOMKilled last use system-node-critical priority class

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 4 Anurag saxena 2021-06-09 13:21:24 UTC
@dbrahane@redhat.com Can you help verifying it? Thanks

Comment 8 errata-xmlrpc 2021-07-27 23:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.